[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TWindowedStream.Write

Read data to the stream

## Declaration

Source position: streamex.pp line 178

`public function TWindowedStream.Write(`
`const aBuffer;`
`aCount: LongInt`
`):LongInt; override;`

## Arguments

`aBuffer` |  | Buffer from which to write data in the stream
`aCount` |  | Maximum number of bytes to be written

## Function result

Number of written bytes

## Description

Write attempts to write data to the stream. It will attempt to restore the source stream position if it was changed since the last read, write or seek operation. It then attempts to write ACount bytes from ABuffer to the source stream and returns the number of actually written bytes.

## Errors

TWindowedStream.Write will raise an EWriteError exception if an attempt is made to write more bytes than will fit in the window, even if the source stream has more room available.

## See also

TWindowedStream.Read |  | Read data from the stream
TWindowedStream.Seek |  | Reposition the stream